searchData={"items":[{"type":"module","title":"OpentelemetryBandit","doc":"OpentelemetryBandit uses [telemetry](https://hexdocs.pm/telemetry/) handlers to create `OpenTelemetry` spans.\n\nSupported:\n1. :bandit, :request, :stop\n2. :bandit, :request, :exception\n3. :bandit, :websocket, :stop","ref":"OpentelemetryBandit.html"},{"type":"function","title":"OpentelemetryBandit.handle_request_exception/4","doc":"","ref":"OpentelemetryBandit.html#handle_request_exception/4"},{"type":"function","title":"OpentelemetryBandit.handle_request_stop/4","doc":"","ref":"OpentelemetryBandit.html#handle_request_stop/4"},{"type":"function","title":"OpentelemetryBandit.handle_websocket_stop/4","doc":"","ref":"OpentelemetryBandit.html#handle_websocket_stop/4"},{"type":"function","title":"OpentelemetryBandit.setup/1","doc":"Initializes and configures the telemetry handlers.","ref":"OpentelemetryBandit.html#setup/1"},{"type":"extras","title":"OpentelemetryBandit","doc":"# OpentelemetryBandit\n\nTelemetry handler that creates Opentelemetry spans from [Bandit events](https://hexdocs.pm/bandit/Bandit.Telemetry.html#content).\n\nAfter installing, setup the handler in your application behaviour before your top-level supervisor starts.\n\n```elixir\nOpentelemetryBandit.setup()\n```\n\nWhen phoenix is used, setup telemetry this way:\n\n```elixir\nOpentelemetryBandit.setup()\nOpentelemetryPhoenix.setup(adapter: :bandit)\n```","ref":"readme.html"},{"type":"extras","title":"Installation - OpentelemetryBandit","doc":"```elixir\ndef deps do\n  [\n    {:opentelemetry_bandit, \"~> 0.1.4\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown"}